---
title: List Cloud Cost Management orchestrators
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Cloud Cost Management
---

# List Cloud Cost Management orchestrators{% #list-cloud-cost-management-orchestrators %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cost/tag_metadata/orchestrators |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cost/tag_metadata/orchestrators |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cost/tag_metadata/orchestrators      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cost/tag_metadata/orchestrators      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cost/tag_metadata/orchestrators  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cost/tag_metadata/orchestrators     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cost/tag_metadata/orchestrators |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cost/tag_metadata/orchestrators |

### Overview

List container orchestrators (for example, `kubernetes`, `ecs`) detected in Cloud Cost Management data for the requested period. This endpoint requires the `cloud_cost_management_read` permission.

OAuth apps require the `cloud_cost_management_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#cloud-cost-management) to access this endpoint.



### Arguments

#### Query Strings

| Name                            | Type   | Description                                                                                                                                                                                                                                                                     |
| ------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter[month] [*required*] | string | The month to scope the query to, in `YYYY-MM` format.                                                                                                                                                                                                                           |
| filter[provider]                | string | Filter results to a specific provider. Common cloud values are `aws`, `azure`, `gcp`, `Oracle` (OCI), and `custom`. SaaS billing integrations (for example, `Snowflake`, `MongoDB`, `Databricks`) are also accepted using their display-name string. Values are case-sensitive. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List of container orchestrators detected in Cloud Cost Management data for the requested period.

| Parent field | Field                  | Type     | Description                                                                                       |
| ------------ | ---------------------- | -------- | ------------------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | List of detected container orchestrators.                                                         |
| data         | id [*required*]   | string   | The orchestrator name, for example `kubernetes` or `ecs`.                                         |
| data         | type [*required*] | enum     | Type of the Cloud Cost Management orchestrator resource. Allowed enum values: `cost_orchestrator` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "id": "ecs",
      "type": "cost_orchestrator"
    },
    {
      "id": "kubernetes",
      "type": "cost_orchestrator"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filter[month]="2026-02" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cost/tag_metadata/orchestrators?filter[month]=${filter[month]}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
